# enable_gtkdoc: Toggle if gtkdoc stuff should be rebuilt
#	0 = no
#	1 = yes
%define enable_gtkdoc	0

%define api_version	1.0
%define lib_major	0
%define pkgname		atk

# Version of glib needed
%define req_glib2_version	2.6.0
%define gobject_introspection_version 0.9.6

%define lib_name	%mklibname %{pkgname} %{api_version} %{lib_major}
%define gir_name	%mklibname %{pkgname}-gir %{api_version}
%define develname	%mklibname -d %{pkgname} %{api_version}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		%{pkgname}%{api_version}
Version:	2.6.0
Release:	%mkrel 2
Summary:	Accessibility features for Gtk+
License:	LGPLv2+
Group:		Accessibility
Url:		http://developer.gnome.org/projects/gap/
Source0:	http://download.gnome.org/sources/%pkgname/%{url_ver}/%pkgname-%version.tar.xz
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.2
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
%if %{enable_gtkdoc}
BuildRequires:	gtk-doc
%endif
BuildRequires:	gobject-introspection-devel >= %{gobject_introspection_version}
# Bootstrap requirements
BuildRequires:	gnome-common
BuildRequires:	gtk-doc

%description
Accessibility means providing system infrastructure that allows add-on
assistive software to transparently provide specalized input and ouput
capabilities. For example, screen readers allow blind users to navigate
through applications, determine the state of controls, and read text via
text to speech conversion. On-screen keyboards replace physical
keyboards, and head-mounted pointers replace mice.

ATK, the Accessibility Tookit, is used to obtain accessibily information
from GTK+ and GNOME widgets.

%package common
Summary:	Data files used by atk
Group:		System/Libraries

%description common
ATK, the Accessibility Tookit, is used to obtain accessibily information
from GTK+ and GNOME widgets.

This package contains data used by atk library.

%package -n %{lib_name}
Summary:	Accessibility features for Gtk+
Group:		System/Libraries
Requires:	common-licenses
Obsoletes:	%{pkgname}
Obsoletes:	lib%{pkgname}
Provides:	%{pkgname} = %{version}-%{release}
Provides:	lib%{pkgname} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name}-common >= %{version}-%{release}

%description -n %{lib_name}
Accessibility means providing system infrastructure that allows add-on
assistive software to transparently provide specalized input and ouput
capabilities. For example, screen readers allow blind users to navigate
through applications, determine the state of controls, and read text via
text to speech conversion. On-screen keyboards replace physical
keyboards, and head-mounted pointers replace mice.

%package -n %{gir_name}
Summary:	GObject introspection interface library for %{pkgname}
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gir_name}
GObject introspection interface library for %{pkgname}.

%package -n %{develname}
Summary:	Stuff for developing with atk
Group:		Development/C
Obsoletes:	%{pkgname}-devel lib%{pkgname}-devel
Provides:	%{pkgname}-devel = %{version}-%{release}
Provides:	lib%{pkgname}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}

%description -n %develname
ATK, the Accessibility Tookit, is used to obtain accessibily information
from GTK+ and GNOME widgets.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x --disable-static \
%if %{enable_gtkdoc}
	--enable-gtk-doc
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%{find_lang} %{pkgname}10

%files common -f %{pkgname}10.lang
%doc README

%files -n %{lib_name}
%{_libdir}/libatk-%{api_version}.so.%{lib_major}
%{_libdir}/libatk-%{api_version}.so.%{lib_major}.*

%files -n %{gir_name}
%{_libdir}/girepository-1.0/Atk-%{api_version}.typelib

%files -n %{develname}
%doc AUTHORS ChangeLog NEWS
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/Atk-%{api_version}.gir


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.6.0-2.mga3
+ Revision: 346526
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 24 2012 ovitters <ovitters> 2.6.0-1.mga3
+ Revision: 297191
- new version 2.6.0

* Mon Sep 03 2012 ovitters <ovitters> 2.5.91-1.mga3
+ Revision: 287715
- new version 2.5.91

* Tue Jul 17 2012 ovitters <ovitters> 2.5.4-1.mga3
+ Revision: 271631
- new version 2.5.4

* Tue Jun 26 2012 fwang <fwang> 2.5.3-1.mga3
+ Revision: 263807
- new version 2.5.3

* Mon Mar 26 2012 ovitters <ovitters> 2.4.0-1.mga2
+ Revision: 226860
- clean spec
- new version 2.4.0

* Tue Mar 20 2012 ovitters <ovitters> 2.3.95-1.mga2
+ Revision: 224543
- new version 2.3.95

* Fri Mar 09 2012 fwang <fwang> 2.3.93-1.mga2
+ Revision: 221995
- new version 2.3.93

* Tue Mar 06 2012 fwang <fwang> 2.3.91-1.mga2
+ Revision: 219592
- new version 2.3.91

* Tue Dec 20 2011 fwang <fwang> 2.3.3-1.mga2
+ Revision: 184688
- new version 2.3.3

* Tue Sep 27 2011 ovitters <ovitters> 2.2.0-1.mga2
+ Revision: 149067
- new version 2.2.0

* Tue Sep 20 2011 fwang <fwang> 2.1.92-1.mga2
+ Revision: 145834
- new version 2.1.92

* Tue Sep 13 2011 fwang <fwang> 2.1.91-2.mga2
+ Revision: 142870
- drop .la files

* Tue Sep 06 2011 fwang <fwang> 2.1.91-1.mga2
+ Revision: 139033
- new version 2.1.91
- new version 2.1.0

  + wally <wally>
    - new version 2.1.5
    - clean .spec a bit

* Thu Jul 07 2011 cjw <cjw> 2.0.1-2.mga2
+ Revision: 119557
- rebuild for automatic gobject introspection typelib provides
- put typelib in a separate subpackage

* Mon Jun 13 2011 dmorgan <dmorgan> 2.0.1-1.mga2
+ Revision: 105857
- New version 2.0.1

* Fri Jun 10 2011 dmorgan <dmorgan> 2.0.0-4.mga2
+ Revision: 103203
- Readd .la files, this is too early to remove them

* Thu Jun 09 2011 dmorgan <dmorgan> 2.0.0-3.mga2
+ Revision: 102539
- Try to remove la files again

* Thu Jun 09 2011 dmorgan <dmorgan> 2.0.0-2.mga2
+ Revision: 102423
- Add back .la files for now

* Thu Jun 09 2011 dmorgan <dmorgan> 2.0.0-1.mga2
+ Revision: 102140
- New version 2.0.0

* Tue Jan 11 2011 blino <blino> 1.32.0-2.mga1
+ Revision: 5718
- remove old conflicts/obsoletes and ldconfig scriptlets
- imported package atk1.0

